<?php
function getContentURL($url)
{
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_COOKIESESSION, true);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    
    $response = curl_exec($curl);
    curl_close($curl);
    return $response;
}

function getDatasInContent($content)
{
    $lines = explode("\n", $content);
    $infos = array();
    foreach($lines as $line)
    {
      if(strpos($line, 'primedResponse='))
      {    
          $startJson = strpos($line, '=')+1;      
          $stopJson = strpos($line, '; $Do.register');
          $infosJson = substr($line, $startJson, $stopJson-$startJson);
          $infos = json_decode($infosJson, true);
          break;
      }
    }                                   
    if($infos != array())
    {
        return $infos;
    }
    return array();
}

function getContentFolder($datas)
{
    /*$width = 0;*/
    $folder = array();
    if(isset($datas['items']) && isset($datas['items'][0]))
    {             
        
        $folder[$datas['items'][0]['name']] = array();
        foreach($datas['items'][0]['folder']['children'] as $item)
        {
            // we want to return only the pictures
            if(strpos($item['mimeType'], 'image') === 0 || strpos($item['mimeType'], 'video') === 0)
            {
                $infos = array(
                        'thumbnail'=>$item['thumbnailSet']['baseUrl'].$item['thumbnailSet']['thumbnails'][1]['url'],
                        'preview'=>$item['thumbnailSet']['baseUrl'].$item['thumbnailSet']['thumbnails'][3]['url'],
                        'original'=>substr($item['urls']['download'], 0, strpos($item['urls']['download'], '?')),
                        'mimeType'=>$item['mimeType']
                );
                /*$width += $item['thumbnailSet']['thumbnails'][1]['width'];*/
                if(isset($item['location']))
                {
                        $folder[$datas['items'][0]['name']][$item['name']] = array_merge($infos, array('location'=>$item['location']));
                }
                else
                {
                    $folder[$datas['items'][0]['name']][$item['name']] = $infos;
                }
            }
        }
        return $folder;
    }
    else
    {
        return array();
    } 
}

function getSlideshow($url, $id, $script_include=false)
{
    $url_path = 'http://'.str_replace($_SERVER['PHP_SELF'], '', $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
    $contentURL = getContentURL($url);
    $datas = getDatasInContent($contentURL);
    $contentFolder = getContentFolder($datas);
    //return print_r($contentFolder, 1);
    
    //<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript" ></script>
    $css = '
            <link type="text/css" rel="stylesheet" href="'.$url_path.'css/liquidcarousel.css" />
            <link rel="stylesheet" href="'.$url_path.'css/prettyPhoto.css" type="text/css" media="screen" title="prettyPhoto main stylesheet" charset="utf-8" />
    ';
    $scripts = '';
    if(!$script_include)
    {
        $scripts = '
            <script src="'.$url_path.'js/jquery.liquidcarousel.pack.js" type="text/javascript" ></script>
            <script src="'.$url_path.'/js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>
        ';
        $script_include = true;
    }
    $html = '                                                   
        <div id="carousel_'.$id.'" class="liquid coolshadow gallery">
        	<span class="previous" title="Précédent"></span>
        	<div class="wrapper" title="Suivant">
    		<ul>';
    $first = true;
    $titleSlideshow = '';
    $nbPhotos = 0;
    $nbVideos = 0;
    foreach($contentFolder as $nameFolder=>$items)
    {
        $titleSlideshow .= $nameFolder.' ';
        foreach($items as $nameFile=>$item)
        {
            if(strpos($item['mimeType'], 'image') === 0)
            {
                $html .= '<li><a href="'.$item['preview'].'" rel="prettyPhoto'.$id.'[gallery'.$id.']" title="'.$nameFile.'"><img src="'.$item['thumbnail'].'" alt="'.$nameFile.'" border="0" /></a></li>';
                $nbPhotos++;
            }
            else
            {
                $nbVideos++;
                $html .= '
                    <li>
                        <a href="'.$item['original'].'" rel="prettyPhoto'.$id.'[gallery'.$id.']" title="'.$nameFile.'" style="display:block;position:relative;">
                            <img src="'.$item['thumbnail'].'" alt="'.$nameFile.'" border="0" />
                            <div style="position:absolute;width:100%;height:100%;left:0;top:51px;">
                                <img src="'.$url_path.'/images/play.png" style="margin:auto;box-shadow:0 0 0 0;" alt="play" />
                            </div>
                        </a>
                    </li>';
            }
        }
    }
    $html .= '
    		</ul>
    	</div>
    	<span class="next"></span>
    </div>';

    $title = $titleSlideshow;
    if($nbPhotos || $nbVideos)
    {
        $title .= ' (';
    }
    if($nbPhotos)
    {
        $title .= $nbPhotos.' photos';
    }
    if($nbVideos)
    {
        if($nbPhotos)
        {
            $title .= ', ';
        }
        $title .= $nbVideos.' videos';
    }
    if($nbPhotos || $nbVideos)
    {
        $title .= ')';
    }
    $html = '<div class="liquidtitle">'.$title.'</div>'.$html;
    $script2 = '
        <script type="text/javascript">
            $(document).ready(function() {
                jQuery("#carousel_'.$id.'").liquidcarousel({height:133,duration:500,hidearrows:true});
                $("area[rel^=\'prettyPhoto'.$id.'\']").prettyPhoto();
                $(".gallery:first a[rel^=\'prettyPhoto'.$id.'\']").prettyPhoto({animation_speed:"normal",theme:"light_square",slideshow:3000, autoplay_slideshow: false});
                $(".gallery:gt(0) a[rel^=\'prettyPhoto'.$id.'\']").prettyPhoto({animation_speed:"fast",slideshow:10000, hideflash: true});
            });
        </script>';
    return $css.$scripts.$html.$script2;      
}
echo getSlideshow($_POST['url'], $_POST['id']);
